from django.db import models
from django.contrib.auth.models import User


# class Users(models.Model):
#     id = models.AutoField(primary_key=True)
#     mail = models.CharField(max_length=200)
#     passwd = models.CharField(max_length=250)
#     latch = models.CharField(max_length=250)
#     pub_date = models.DateTimeField('date published')


class Test(models.Model):
    test = models.CharField(max_length=50)
    clase = models.CharField(max_length=50, default='common')
    descripcio = models.CharField(max_length=250, default='Descripcio')
    pub_date = models.DateTimeField('date published')

    def __unicode__(self):
        return self.test


class Scan(models.Model):
    user = models.ForeignKey(User, default=0)
    url = models.CharField(max_length=150)
    posts = models.CharField(max_length=150, null=True)
    ids = models.CharField(max_length=150, null=True)
    clases = models.CharField(max_length=150, null=True)
    params = models.CharField(max_length=150, null=True)
    pub_date = models.DateTimeField('date published')


class ScanTests(models.Model):
    idscan = models.ForeignKey(Scan)
    test = models.ForeignKey(Test)


class ScanResults(models.Model):
    idscanTest = models.ForeignKey(ScanTests)
    param = models.CharField(max_length=150, null=True)
    vulnerability = models.CharField(max_length=150, null=True)
    description = models.CharField(max_length=150, null=True)
    payload = models.CharField(max_length=150, null=True)
    pub_date = models.DateTimeField('date published')
