# -*- coding: utf-8 -*-
import requests
import time
from common import common


class ssi_injection():

    def __init__(self):
        return None

    @staticmethod
    def scan(url, params=None, ids=None, clases=None, posts=None):
        # <!--#set var="SSI_INJECTION" value="variable" --><!--#echo var="SSI_INJECTION" -->

        res = []

        sxss = {}
        r = requests.get(url)

        ids = common.clean_and_list(ids) if ids else None
        clases = common.clean_and_list(clases) if clases else None
        posts = common.clean_and_list(posts) if posts else None

        forms, allp = common.getFormInfo(r.content, url, ids, clases, posts)

        all_inputs = {}

        # Relleno con tod
        for action in allp:
            for inp, val in allp[action].items():
                all_inputs[inp] = val

        for action in forms:
            init_val = {}
            for i, v in forms[action].items():
                time_salt = str(time.time())
                payload = '#<!--#set var="SSI_INJECTION" value="'+time_salt+'" --><!--#echo var="SSI_INJECTION" -->'
                post_val = all_inputs
                init_val[i] = v
                post_val[i] = payload
                requests.post(action, data=post_val)
                req = requests.get(url).content

                if time_salt in req:
                    if payload not in req:
                        param_name = i+' (POST)'
                        if param_name not in sxss:
                            sxss[param_name] = []
                        sxss[param_name].append({
                            'type': 'SSI Injection',
                            'title': 'Vulnerable a SSI Injection',
                            'payload': payload
                        })
            res.append(sxss)

            # Restablim els valors inicials:
            requests.post(action, data=init_val)
        if not res[0]:
            return False
        else:
            return res
