# -*- coding: utf-8 -*-
import requests


class tampering():

    def __init__(self):
        return None

    @staticmethod
    def scan(url, params=None, ids=None, clases=None, posts=None):

        # http://www.linuxquestions.org/questions/linux-security-4/disabling-head-options-http-methods-in-apache-webserver-763347/
        # Per capar les peticions head: .htaccess:
        # RewriteEngine on
        # RewriteCond %{THE_REQUEST} !^(POST|GET)\ /.*\ HTTP/1\.1$
        # RewriteRule .* - [F]

        res = []

        # llistat dels metodes que volem testejar
        verb_list = ['OPTIONS', 'HEAD', 'PUT', 'DELETE', 'TRACE', 'CONNECT',
                     'PROPFIND', 'PROPPATCH', 'MKCOL', 'COPY', 'MOVE', 'LOCK', 'UNLOCK']

        for verb in verb_list:
            r = requests.request(verb, url)
            if r.status_code == 200:
                res.append({
                    verb: [{
                        'type': 'HTTP verb tampering',
                        'title': 'Petició habilitada en el servidor',
                        'payload': ''
                    }]
                })

        return res