from django.conf.urls import url
from . import views

urlpatterns = [
    url(r'^$', views.index, name='index'),
    url(r'^scan/$', views.scan, name='scan'),
    url(r'^scan/(?P<scan_id>[0-9]+)/$', views.scan_detail, name='scan_detail'),
    url(r'^login/$', views.login_vista, name='login'),
    url(r'^login_action/$', views.login_action, name='login_action'),
    url(r'^logout/$', views.logout_action, name='logout'),
    url(r'^myscans/$', views.myscans, name='myscans'),
    url(r'^info/$', views.info, name='info'),
    ]