# -*- coding: utf-8 -*-
import requests
import urlparse
from common import common


class pollution():

    def __init__(self):
        return None

    @staticmethod
    def scan(url, params=None, ids=None, clases=None, posts=None):

        # Extreiem els parametres
        url_parse = urlparse.urlparse(url)
        url_params = urlparse.parse_qs(url_parse.query)
        url_copy = url_params.copy()
        res = []

        if params:
            params = common.clean_and_list(params)
            paso = 0
            for param in url_copy:
                if param not in params:
                    del url_params[param]

        for p, v in url_params.items():

            # s1 = submit normal
            # s2 = submit con otro valor
            # s3 = submit
            base_url = url_parse.scheme+'://'+url_parse.netloc+url_parse.path

            # Request normal
            new_url = base_url+pollution.url_maker(url_copy)
            r1 = requests.get(new_url).content

            # Request amb valor canviat
            new_url += base_url+pollution.url_maker(url_copy, focus=p)
            r2 = requests.get(new_url).content

            # Requests amb valor inicial i duplicat amb altre valor
            new_url += base_url+pollution.url_maker(url_copy, focus=p, doble=True)
            r3 = requests.get(new_url).content

            if r1 != r3 and r2 != r3:
                p += ' (GET)'
                res.append({
                    p: [{
                        'type': 'HTTP Parameter Pollution',
                        'title': 'Vulnerable a la contaminació del paràmetre',
                        'payload': v
                    }]
                })
        return res

    @staticmethod
    def url_maker(parameters, doble=False, focus=None):
        param_string = '?'
        for p, v in parameters.items():
            val = v[0]
            if focus == p:
                if val.isdigit():
                    v2 = str(int(val)+1)
                else:
                    v2 = 'tampering'
                if not doble:
                    val = v2
                else:
                    param_string += p+'='+v2+'&'
            param_string += p+'='+val+'&'
        return param_string


