# -*- coding: utf-8 -*-
import subprocess
from common import common


class sql_injection():

    def __init__(self):
        return None

    @staticmethod
    def scan(url, params=None, ids=None, clases=None, posts=None):
        path = common.getVendorPath('sqlmap')
        params = '-u \''+url+'\''
        params += ' --batch --timeout=5'
        if posts:
            params += ' --data="'+common.post_to_url(posts)+'"'
        sqltest = subprocess.check_output(
            path+'sqlmap.py '+params,
            shell=True,
            stderr=subprocess.STDOUT
        )
        parse = sql_injection.parse(sqltest)
        if parse:
            return parse
        else:
            return False

    @staticmethod
    def parse(output):
        output = output.split('---')
        res = []
        if len(output) >= 3:
            if 'Parameter' in output[1]:

                output = output[1].split('\nParameter: ')

                for param in output:
                    vul = param.split('\n\n')
                    temp = {}

                    for fields in vul:
                        attrs = fields.strip()
                        if attrs != '':
                            attr = attrs.split('\n')
                            struct = {}
                            for field in attr:
                                if not temp:
                                    param = field
                                    temp[param] = []
                                else:
                                    x = field.split(':')
                                    key = x[0].strip().lower()
                                    value = x[1].strip()
                                    struct[key] = value
                            temp[param].append(struct)
                    if temp:
                        res.append(temp)
            else:
                res = False

        return res